
_Main_Init:

;electronique_controleur_midi_005_16f628.mpas,81 :: 		begin
;electronique_controleur_midi_005_16f628.mpas,82 :: 		CMCON := 7;            // disable comparators
	MOVLW      7
	MOVWF      CMCON+0
;electronique_controleur_midi_005_16f628.mpas,83 :: 		OPTION_REG := 0;
	CLRF       OPTION_REG+0
;electronique_controleur_midi_005_16f628.mpas,86 :: 		INTCON := 0;
	CLRF       INTCON+0
;electronique_controleur_midi_005_16f628.mpas,88 :: 		TRISA      := %11111111;
	MOVLW      255
	MOVWF      TRISA+0
;electronique_controleur_midi_005_16f628.mpas,89 :: 		TRISB      := %00000010;
	MOVLW      2
	MOVWF      TRISB+0
;electronique_controleur_midi_005_16f628.mpas,90 :: 		PORTA      := %00000000;  // clear porta
	CLRF       PORTA+0
;electronique_controleur_midi_005_16f628.mpas,91 :: 		PORTB      := %00000000;  // clear portb
	CLRF       PORTB+0
;electronique_controleur_midi_005_16f628.mpas,94 :: 		TXSTA.TX9 := 0;     // 8-bits transmission
	BCF        TXSTA+0, 6
;electronique_controleur_midi_005_16f628.mpas,95 :: 		TXSTA.TXEN := 1;    // Tx enabled
	BSF        TXSTA+0, 5
;electronique_controleur_midi_005_16f628.mpas,97 :: 		RCSTA.CREN := 1;    // enable receiving / accept continuous mode
	BSF        RCSTA+0, 4
;electronique_controleur_midi_005_16f628.mpas,98 :: 		RCSTA.SPEN := 1;    // Rx enabled;
	BSF        RCSTA+0, 7
;electronique_controleur_midi_005_16f628.mpas,99 :: 		RCSTA.TX9 := 0;     // 8-bits transmission
	BCF        RCSTA+0, 6
;electronique_controleur_midi_005_16f628.mpas,102 :: 		UART1_Init(cMidiBaudrate); // speed for MIDI communication
	MOVLW      15
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;electronique_controleur_midi_005_16f628.mpas,104 :: 		Delay_ms(200);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      20
	MOVWF      R12+0
	MOVLW      239
	MOVWF      R13+0
L__Main_Init1:
	DECFSZ     R13+0, 1
	GOTO       L__Main_Init1
	DECFSZ     R12+0, 1
	GOTO       L__Main_Init1
	DECFSZ     R11+0, 1
	GOTO       L__Main_Init1
;electronique_controleur_midi_005_16f628.mpas,106 :: 		iMidiCh := 0;
	CLRF       _iMidiCh+0
;electronique_controleur_midi_005_16f628.mpas,107 :: 		iPrg := 8;
	MOVLW      8
	MOVWF      _iPrg+0
;electronique_controleur_midi_005_16f628.mpas,108 :: 		iCtrl := 1;
	MOVLW      1
	MOVWF      _iCtrl+0
;electronique_controleur_midi_005_16f628.mpas,109 :: 		iNote := 20;
	MOVLW      20
	MOVWF      _iNote+0
;electronique_controleur_midi_005_16f628.mpas,110 :: 		iVal := 35;
	MOVLW      35
	MOVWF      _iVal+0
;electronique_controleur_midi_005_16f628.mpas,111 :: 		iVel := 50;
	MOVLW      50
	MOVWF      _iVel+0
;electronique_controleur_midi_005_16f628.mpas,113 :: 		end;
L_end_Main_Init:
	RETURN
; end of _Main_Init

_MidiOut_SendMMC:

;electronique_controleur_midi_005_16f628.mpas,120 :: 		begin
;electronique_controleur_midi_005_16f628.mpas,135 :: 		UART1_Write(cMIDI_Sysex_Start);
	MOVLW      240
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_controleur_midi_005_16f628.mpas,136 :: 		UART1_Write($7F);
	MOVLW      127
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_controleur_midi_005_16f628.mpas,137 :: 		UART1_Write($7F); //  UART1_Write($00); id=127 for all MMC receivers
	MOVLW      127
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_controleur_midi_005_16f628.mpas,138 :: 		UART1_Write($06);
	MOVLW      6
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_controleur_midi_005_16f628.mpas,139 :: 		UART1_Write(cmd);
	MOVF       FARG_MidiOut_SendMMC_cmd+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_controleur_midi_005_16f628.mpas,140 :: 		UART1_Write(cMIDI_Sysex_End);
	MOVLW      247
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_controleur_midi_005_16f628.mpas,142 :: 		end;
L_end_MidiOut_SendMMC:
	RETURN
; end of _MidiOut_SendMMC

_MidiOut_SendNote:

;electronique_controleur_midi_005_16f628.mpas,149 :: 		begin
;electronique_controleur_midi_005_16f628.mpas,158 :: 		UART1_Write(Data1);
	MOVF       FARG_MidiOut_SendNote_Data1+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_controleur_midi_005_16f628.mpas,159 :: 		UART1_Write(Data2);
	MOVF       FARG_MidiOut_SendNote_Data2+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_controleur_midi_005_16f628.mpas,160 :: 		UART1_Write(Data3);
	MOVF       FARG_MidiOut_SendNote_Data3+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_controleur_midi_005_16f628.mpas,162 :: 		end;
L_end_MidiOut_SendNote:
	RETURN
; end of _MidiOut_SendNote

_MidiOut_SendActSens:

;electronique_controleur_midi_005_16f628.mpas,169 :: 		begin
;electronique_controleur_midi_005_16f628.mpas,174 :: 		UART1_Write($F8);
	MOVLW      248
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_controleur_midi_005_16f628.mpas,176 :: 		end;
L_end_MidiOut_SendActSens:
	RETURN
; end of _MidiOut_SendActSens

_MidiOut_SendPrgChg:

;electronique_controleur_midi_005_16f628.mpas,183 :: 		begin
;electronique_controleur_midi_005_16f628.mpas,190 :: 		UART1_Write(Data1);
	MOVF       FARG_MidiOut_SendPrgChg_Data1+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_controleur_midi_005_16f628.mpas,191 :: 		UART1_Write(Data2);
	MOVF       FARG_MidiOut_SendPrgChg_Data2+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_controleur_midi_005_16f628.mpas,193 :: 		end;
L_end_MidiOut_SendPrgChg:
	RETURN
; end of _MidiOut_SendPrgChg

_MidiOut_SendCtrlChg:

;electronique_controleur_midi_005_16f628.mpas,200 :: 		begin
;electronique_controleur_midi_005_16f628.mpas,209 :: 		UART1_Write(Data1);
	MOVF       FARG_MidiOut_SendCtrlChg_Data1+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_controleur_midi_005_16f628.mpas,210 :: 		UART1_Write(Data2);
	MOVF       FARG_MidiOut_SendCtrlChg_Data2+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_controleur_midi_005_16f628.mpas,211 :: 		UART1_Write(Data3);
	MOVF       FARG_MidiOut_SendCtrlChg_Data3+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;electronique_controleur_midi_005_16f628.mpas,213 :: 		end;
L_end_MidiOut_SendCtrlChg:
	RETURN
; end of _MidiOut_SendCtrlChg

_Main_Welcome:

;electronique_controleur_midi_005_16f628.mpas,216 :: 		begin
;electronique_controleur_midi_005_16f628.mpas,217 :: 		MidiOut_SendNote(cMIDI_Note_On, cMIDI_Pitch, cMIDI_Vel_On);
	MOVLW      144
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVLW      60
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	MOVLW      100
	MOVWF      FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,218 :: 		Delay_ms(200);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      20
	MOVWF      R12+0
	MOVLW      239
	MOVWF      R13+0
L__Main_Welcome8:
	DECFSZ     R13+0, 1
	GOTO       L__Main_Welcome8
	DECFSZ     R12+0, 1
	GOTO       L__Main_Welcome8
	DECFSZ     R11+0, 1
	GOTO       L__Main_Welcome8
;electronique_controleur_midi_005_16f628.mpas,219 :: 		MidiOut_SendNote(cMIDI_Note_Off, cMIDI_Pitch, cMIDI_Vel_Off);
	MOVLW      128
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVLW      60
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	CLRF       FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,220 :: 		Delay_ms(200);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      20
	MOVWF      R12+0
	MOVLW      239
	MOVWF      R13+0
L__Main_Welcome9:
	DECFSZ     R13+0, 1
	GOTO       L__Main_Welcome9
	DECFSZ     R12+0, 1
	GOTO       L__Main_Welcome9
	DECFSZ     R11+0, 1
	GOTO       L__Main_Welcome9
;electronique_controleur_midi_005_16f628.mpas,221 :: 		end;
L_end_Main_Welcome:
	RETURN
; end of _Main_Welcome

_Main_DoDelay:

;electronique_controleur_midi_005_16f628.mpas,224 :: 		begin
;electronique_controleur_midi_005_16f628.mpas,225 :: 		if In_DoDelay then
	BTFSS      RA5_bit+0, BitPos(RA5_bit+0)
	GOTO       L__Main_DoDelay12
;electronique_controleur_midi_005_16f628.mpas,226 :: 		Delay_ms(10);
	MOVLW      27
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L__Main_DoDelay14:
	DECFSZ     R13+0, 1
	GOTO       L__Main_DoDelay14
	DECFSZ     R12+0, 1
	GOTO       L__Main_DoDelay14
	NOP
	NOP
L__Main_DoDelay12:
;electronique_controleur_midi_005_16f628.mpas,227 :: 		end;
L_end_Main_DoDelay:
	RETURN
; end of _Main_DoDelay

_KB_Check:

;electronique_controleur_midi_005_16f628.mpas,230 :: 		begin
;electronique_controleur_midi_005_16f628.mpas,232 :: 		if In_ActSens then
	BTFSS      RA0_bit+0, BitPos(RA0_bit+0)
	GOTO       L__KB_Check17
;electronique_controleur_midi_005_16f628.mpas,234 :: 		MidiOut_SendActSens; // always $F8
	CALL       _MidiOut_SendActSens+0
;electronique_controleur_midi_005_16f628.mpas,235 :: 		end;
L__KB_Check17:
;electronique_controleur_midi_005_16f628.mpas,238 :: 		if In_Notes then
	BTFSS      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__KB_Check20
;electronique_controleur_midi_005_16f628.mpas,240 :: 		MidiOut_SendNote(cMIDI_Note_On or iMidiCh, iNote, iVel);
	MOVLW      144
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	MOVF       _iVel+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,241 :: 		MidiOut_SendNote(cMIDI_Note_Off or iMidiCh, iNote, 0);
	MOVLW      128
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	CLRF       FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,242 :: 		Main_DoDelay;
	CALL       _Main_DoDelay+0
;electronique_controleur_midi_005_16f628.mpas,243 :: 		MidiOut_SendNote((cMIDI_Note_On + 1) or iMidiCh, iNote, iVel);
	MOVLW      145
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	MOVF       _iVel+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,244 :: 		MidiOut_SendNote((cMIDI_Note_On + 3) or iMidiCh, iNote, iVel);
	MOVLW      147
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	MOVF       _iVel+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,245 :: 		MidiOut_SendNote((cMIDI_Note_On + 5) or iMidiCh, iNote, iVel);
	MOVLW      149
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	MOVF       _iVel+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,246 :: 		Main_DoDelay;
	CALL       _Main_DoDelay+0
;electronique_controleur_midi_005_16f628.mpas,247 :: 		MidiOut_SendNote((cMIDI_Note_Off + 1) or iMidiCh, iNote, 0);
	MOVLW      129
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	CLRF       FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,248 :: 		MidiOut_SendNote((cMIDI_Note_Off + 3) or iMidiCh, iNote, 0);
	MOVLW      131
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	CLRF       FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,249 :: 		MidiOut_SendNote((cMIDI_Note_Off + 5) or iMidiCh, iNote, 0);
	MOVLW      133
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	CLRF       FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,250 :: 		Main_DoDelay;
	CALL       _Main_DoDelay+0
;electronique_controleur_midi_005_16f628.mpas,251 :: 		Main_DoDelay;
	CALL       _Main_DoDelay+0
;electronique_controleur_midi_005_16f628.mpas,252 :: 		MidiOut_SendNote((cMIDI_Note_On + 1) or iMidiCh, iNote, iVel);
	MOVLW      145
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	MOVF       _iVel+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,253 :: 		MidiOut_SendNote((cMIDI_Note_On + 3) or iMidiCh, iNote, iVel);
	MOVLW      147
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	MOVF       _iVel+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,254 :: 		MidiOut_SendNote((cMIDI_Note_On + 5) or iMidiCh, iNote, iVel);
	MOVLW      149
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	MOVF       _iVel+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,255 :: 		MidiOut_SendNote((cMIDI_Note_On + 7) or iMidiCh, iNote, iVel);
	MOVLW      151
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	MOVF       _iVel+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,256 :: 		MidiOut_SendNote((cMIDI_Note_On + 9) or iMidiCh, iNote, iVel);
	MOVLW      153
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	MOVF       _iVel+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,257 :: 		MidiOut_SendNote((cMIDI_Note_On + 11) or iMidiCh, iNote, iVel);
	MOVLW      155
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	MOVF       _iVel+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,258 :: 		Main_DoDelay;
	CALL       _Main_DoDelay+0
;electronique_controleur_midi_005_16f628.mpas,259 :: 		Main_DoDelay;
	CALL       _Main_DoDelay+0
;electronique_controleur_midi_005_16f628.mpas,260 :: 		Main_DoDelay;
	CALL       _Main_DoDelay+0
;electronique_controleur_midi_005_16f628.mpas,261 :: 		MidiOut_SendNote((cMIDI_Note_Off + 1) or iMidiCh, iNote, 0);
	MOVLW      129
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	CLRF       FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,262 :: 		MidiOut_SendNote((cMIDI_Note_Off + 3) or iMidiCh, iNote, 0);
	MOVLW      131
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	CLRF       FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,263 :: 		MidiOut_SendNote((cMIDI_Note_Off + 5) or iMidiCh, iNote, 0);
	MOVLW      133
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	CLRF       FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,264 :: 		MidiOut_SendNote((cMIDI_Note_Off + 7) or iMidiCh, iNote, 0);
	MOVLW      135
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	CLRF       FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,265 :: 		MidiOut_SendNote((cMIDI_Note_Off + 9) or iMidiCh, iNote, 0);
	MOVLW      137
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	CLRF       FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,266 :: 		MidiOut_SendNote((cMIDI_Note_Off + 11) or iMidiCh, iNote, 0);
	MOVLW      139
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data1+0
	MOVF       _iNote+0, 0
	MOVWF      FARG_MidiOut_SendNote_Data2+0
	CLRF       FARG_MidiOut_SendNote_Data3+0
	CALL       _MidiOut_SendNote+0
;electronique_controleur_midi_005_16f628.mpas,267 :: 		Main_DoDelay;
	CALL       _Main_DoDelay+0
;electronique_controleur_midi_005_16f628.mpas,268 :: 		end;
L__KB_Check20:
;electronique_controleur_midi_005_16f628.mpas,271 :: 		if In_Sysex then
	BTFSS      RA2_bit+0, BitPos(RA2_bit+0)
	GOTO       L__KB_Check23
;electronique_controleur_midi_005_16f628.mpas,273 :: 		MidiOut_SendMMC(cMIDI_MMC_START);
	MOVLW      2
	MOVWF      FARG_MidiOut_SendMMC_cmd+0
	CALL       _MidiOut_SendMMC+0
;electronique_controleur_midi_005_16f628.mpas,274 :: 		Main_DoDelay;
	CALL       _Main_DoDelay+0
;electronique_controleur_midi_005_16f628.mpas,275 :: 		MidiOut_SendMMC(cMIDI_MMC_STOP);
	MOVLW      1
	MOVWF      FARG_MidiOut_SendMMC_cmd+0
	CALL       _MidiOut_SendMMC+0
;electronique_controleur_midi_005_16f628.mpas,276 :: 		Main_DoDelay;
	CALL       _Main_DoDelay+0
;electronique_controleur_midi_005_16f628.mpas,277 :: 		MidiOut_SendMMC(cMIDI_MMC_RECORD_PUNCHIN);
	MOVLW      6
	MOVWF      FARG_MidiOut_SendMMC_cmd+0
	CALL       _MidiOut_SendMMC+0
;electronique_controleur_midi_005_16f628.mpas,278 :: 		MidiOut_SendMMC(cMIDI_MMC_RECORD_PUNCHOUT);
	MOVLW      7
	MOVWF      FARG_MidiOut_SendMMC_cmd+0
	CALL       _MidiOut_SendMMC+0
;electronique_controleur_midi_005_16f628.mpas,279 :: 		Main_DoDelay;
	CALL       _Main_DoDelay+0
;electronique_controleur_midi_005_16f628.mpas,280 :: 		MidiOut_SendMMC(cMIDI_MMC_PAUSE);
	MOVLW      9
	MOVWF      FARG_MidiOut_SendMMC_cmd+0
	CALL       _MidiOut_SendMMC+0
;electronique_controleur_midi_005_16f628.mpas,281 :: 		Main_DoDelay;
	CALL       _Main_DoDelay+0
;electronique_controleur_midi_005_16f628.mpas,282 :: 		MidiOut_SendMMC(cMIDI_MMC_STOP);
	MOVLW      1
	MOVWF      FARG_MidiOut_SendMMC_cmd+0
	CALL       _MidiOut_SendMMC+0
;electronique_controleur_midi_005_16f628.mpas,283 :: 		Main_DoDelay;
	CALL       _Main_DoDelay+0
;electronique_controleur_midi_005_16f628.mpas,284 :: 		Main_DoDelay;
	CALL       _Main_DoDelay+0
;electronique_controleur_midi_005_16f628.mpas,285 :: 		MidiOut_SendMMC(cMIDI_MMC_FAST_FORWARD);
	MOVLW      4
	MOVWF      FARG_MidiOut_SendMMC_cmd+0
	CALL       _MidiOut_SendMMC+0
;electronique_controleur_midi_005_16f628.mpas,286 :: 		Main_DoDelay;
	CALL       _Main_DoDelay+0
;electronique_controleur_midi_005_16f628.mpas,287 :: 		Main_DoDelay;
	CALL       _Main_DoDelay+0
;electronique_controleur_midi_005_16f628.mpas,288 :: 		Main_DoDelay;
	CALL       _Main_DoDelay+0
;electronique_controleur_midi_005_16f628.mpas,289 :: 		MidiOut_SendMMC(cMIDI_MMC_STOP);
	MOVLW      1
	MOVWF      FARG_MidiOut_SendMMC_cmd+0
	CALL       _MidiOut_SendMMC+0
;electronique_controleur_midi_005_16f628.mpas,290 :: 		end;
L__KB_Check23:
;electronique_controleur_midi_005_16f628.mpas,293 :: 		if In_PrgChg then
	BTFSS      RA3_bit+0, BitPos(RA3_bit+0)
	GOTO       L__KB_Check26
;electronique_controleur_midi_005_16f628.mpas,295 :: 		MidiOut_SendPrgChg(cMIDI_PrgChg or iMidiCh, iPrg);
	MOVLW      192
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendPrgChg_Data1+0
	MOVF       _iPrg+0, 0
	MOVWF      FARG_MidiOut_SendPrgChg_Data2+0
	CALL       _MidiOut_SendPrgChg+0
;electronique_controleur_midi_005_16f628.mpas,296 :: 		Main_DoDelay;
	CALL       _Main_DoDelay+0
;electronique_controleur_midi_005_16f628.mpas,297 :: 		end;
L__KB_Check26:
;electronique_controleur_midi_005_16f628.mpas,300 :: 		if In_CtrlChg then
	BTFSS      RA4_bit+0, BitPos(RA4_bit+0)
	GOTO       L__KB_Check29
;electronique_controleur_midi_005_16f628.mpas,302 :: 		MidiOut_SendCtrlChg(cMIDI_CtrlChg or iMidiCh, iCtrl, iVal);
	MOVLW      176
	IORWF      _iMidiCh+0, 0
	MOVWF      FARG_MidiOut_SendCtrlChg_Data1+0
	MOVF       _iCtrl+0, 0
	MOVWF      FARG_MidiOut_SendCtrlChg_Data2+0
	MOVF       _iVal+0, 0
	MOVWF      FARG_MidiOut_SendCtrlChg_Data3+0
	CALL       _MidiOut_SendCtrlChg+0
;electronique_controleur_midi_005_16f628.mpas,303 :: 		Main_DoDelay;
	CALL       _Main_DoDelay+0
;electronique_controleur_midi_005_16f628.mpas,304 :: 		end;
L__KB_Check29:
;electronique_controleur_midi_005_16f628.mpas,306 :: 		end;
L_end_KB_Check:
	RETURN
; end of _KB_Check

_main:

;electronique_controleur_midi_005_16f628.mpas,309 :: 		begin
;electronique_controleur_midi_005_16f628.mpas,310 :: 		Main_Init;
	CALL       _Main_Init+0
;electronique_controleur_midi_005_16f628.mpas,313 :: 		Main_Welcome;
	CALL       _Main_Welcome+0
;electronique_controleur_midi_005_16f628.mpas,315 :: 		while true do
L__main33:
;electronique_controleur_midi_005_16f628.mpas,319 :: 		KB_Check;
	CALL       _KB_Check+0
;electronique_controleur_midi_005_16f628.mpas,322 :: 		if inc(iMidiCh) > 15 then iMidiCh := 0;
	INCF       _iMidiCh+0, 1
	MOVF       _iMidiCh+0, 0
	SUBLW      15
	BTFSC      STATUS+0, 0
	GOTO       L__main38
	CLRF       _iMidiCh+0
L__main38:
;electronique_controleur_midi_005_16f628.mpas,323 :: 		if inc(iPrg) > 127 then iPrg := 0;
	INCF       _iPrg+0, 1
	MOVF       _iPrg+0, 0
	SUBLW      127
	BTFSC      STATUS+0, 0
	GOTO       L__main41
	CLRF       _iPrg+0
L__main41:
;electronique_controleur_midi_005_16f628.mpas,324 :: 		if inc(iCtrl) > 127 then iCtrl := 0;
	INCF       _iCtrl+0, 1
	MOVF       _iCtrl+0, 0
	SUBLW      127
	BTFSC      STATUS+0, 0
	GOTO       L__main44
	CLRF       _iCtrl+0
L__main44:
;electronique_controleur_midi_005_16f628.mpas,325 :: 		if inc(iNote) > 110 then iNote := 0;
	INCF       _iNote+0, 1
	MOVF       _iNote+0, 0
	SUBLW      110
	BTFSC      STATUS+0, 0
	GOTO       L__main47
	CLRF       _iNote+0
L__main47:
;electronique_controleur_midi_005_16f628.mpas,326 :: 		if inc(iVal) > 127 then iVal := 0;
	INCF       _iVal+0, 1
	MOVF       _iVal+0, 0
	SUBLW      127
	BTFSC      STATUS+0, 0
	GOTO       L__main50
	CLRF       _iVal+0
L__main50:
;electronique_controleur_midi_005_16f628.mpas,327 :: 		if inc(iVel) > 127 then iVel := 1;
	INCF       _iVel+0, 1
	MOVF       _iVel+0, 0
	SUBLW      127
	BTFSC      STATUS+0, 0
	GOTO       L__main53
	MOVLW      1
	MOVWF      _iVel+0
L__main53:
;electronique_controleur_midi_005_16f628.mpas,329 :: 		end;
	GOTO       L__main33
;electronique_controleur_midi_005_16f628.mpas,330 :: 		end.
L_end_main:
	GOTO       $+0
; end of _main
